Bug 36229 - univention-samba-local-config update failed
univention-samba-local-config update failed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Arvid Requate
: interim-3
Depends on:
Blocks: 36205
  Show dependency treegraph
 
Reported: 2014-10-19 10:58 CEST by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-19 10:58:38 CEST
Seen in the Jenkins test:
http://jenkins.knut.univention.de:8080/job/UCS-4.0/job/UCS-4.0-0/job/UCS 3.2 to 4.0 Autotest MultiEnv/SambaVersion=s4,Systemrolle=master/

--------------------------------------------------------------------------------
Preparing to replace univention-samba-local-config 8.0.19-11.477.201408081022 (using .../univention-samba-local-config_9.0.2-1.486.201410182052_all.deb) ...
/var/lib/dpkg/info/univention-samba-local-config.prerm: 6: update-python-modules: not found
dpkg: warning: subprocess old pre-removal script returned error exit status 127
dpkg - trying script from the new package instead ...
/var/lib/dpkg/tmp.ci/prerm: 6: update-python-modules: not found
dpkg: error processing /var/cache/apt/archives/univention-samba-local-config_9.0.2-1.486.201410182052_all.deb (--unpack):
 subprocess new pre-removal script returned error exit status 127
configured to not write apport reports
/var/lib/dpkg/info/univention-samba-local-config.postinst: 36: update-python-modules: not found
/var/lib/dpkg/info/univention-samba-local-config.postinst: 42: univention-config-registry: not found
Preparing to replace univention-samba4 3.0.39-35.591.201408281245 (using .../univention-samba4_4.0.0-6.593.201408281504_amd64.deb) ...
/var/lib/dpkg/info/univention-samba4.prerm: 47: univention-config-registry: not found
/var/lib/dpkg/info/univention-samba4.prerm: 52: update-python-modules: not found
Unpacking replacement univention-samba4 ...
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/univention-samba-local-config_9.0.2-1.486.201410182052_all.deb
Traceback (most recent call last):
  File "/usr/sbin/univention-pkgdb-scan", line 34, in <module>
    import univention.pkgdb
  File "/usr/lib/pymodules/python2.6/univention/pkgdb.py", line 35, in <module>
    import apt_pkg
ImportError: libapt-pkg.so.4.12: cannot open shared object file: No such file or directory
--------------------------------------------------------------------------------
Comment 1 Stefan Gohmann univentionstaff 2014-10-19 12:48:58 CEST
I've added univention-config to the pre update package list: r54623
Comment 2 Stefan Gohmann univentionstaff 2014-10-19 20:48:37 CEST
(In reply to Stefan Gohmann from comment #1)
> I've added univention-config to the pre update package list: r54623

Changelog: r54625
Comment 3 Felix Botner univentionstaff 2014-10-21 16:19:32 CEST
UCR templates are unusable after the preupdate (without the actual update!)

ucr set update/secure_apt='no' 
Setting update/secure_apt
File: /etc/apt/apt.conf.d/20secureapt
Traceback (most recent call last):
  File "<stdin>", line 2, in <module>
ImportError: No module named univention.config_registry


-> file /usr/lib/pymodules/python2.6/univention/config_registry/__init__.py
/usr/lib/pymodules/python2.6/univention/config_registry/__init__.py: symbolic link to `/usr/share/pyshared/univention/config_registry/__init__.py'

-> file /usr/lib/pymodules/python2.7                                       
/usr/lib/pymodules/python2.7: ERROR: cannot open `/usr/lib/pymodules/python2.7' (No such file or directory)

-> dpkg -l python2.7
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                              Version                           Description
+++-=================================-=================================-==================================================================================
ii  python2.7                         2.7.3-6.5.201406301216            Interactive high-level object-oriented language (version 2.7)

-> dpkg -l python-univention-config-registry 
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                              Version                           Description
+++-=================================-=================================-==================================================================================
ii  python-univention-config-registry 10.0.1-6.476.201409011607         UCS - Python interface to configuration registry
Comment 4 Stefan Gohmann univentionstaff 2014-10-22 09:11:24 CEST
OK, we also need python-univention and I've added python2.7 temporarily to the supported python version: r54753 + r54751 + r54775
Comment 5 Arvid Requate univentionstaff 2014-11-03 18:47:47 CET
Ok, the update works, changelog ok.
Comment 6 Stefan Gohmann univentionstaff 2014-11-26 06:55:19 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".